System.ServiceModel 4.0.0.0 System.Object To be added.

Represents a collection of resources represented by <atom:collection> element.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The title of the collection.
  The URI of the collection.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The title of the collection.
  The URI of the collection.
- Constructor
  4.0.0.0

  <accept> elements specify the type of resources that can be added to a collection.

  Creates a new instance of the class.

  The title of the collection.
  The URI of the collection.
  A collection of categories documents.
  A value that specifies whether new <accept> elements can be added to the collection.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The title of the collection.
  The URI of the collection.
  A collection of categories documents.
  A collection of resource types that can be added to the collection.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.String> To be added. To be added.

  Gets a collection of resource types that can be added to the collection.

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added. To be added.

  Gets a collection of attribute extensions.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base URI for the instance.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.CategoriesDocument> To be added. To be added.

  Gets a collection of objects.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument To be added.

  Creates a new instance.

  Returns .

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ReferencedCategoriesDocument To be added.

  Creates a new instance.

  Returns .

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace.

  `<mg:MyElement xmlns:mg="http://myserver/elements" />`

  Gets the element extensions for the service document.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the URI for the collection.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added. To be added.

  The title of the collection.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  Returns .

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Attempts to parse an element extension.

  Returns .

  The to read from. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the element extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.